=== debian/changelog ===
jtdx (2.2.159-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:21 +1100

jtdx (2.2.159-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:39:29 +0000

jtdx (2.2.159-2) unstable; urgency=medium

  * Disable stack-clash-protection on armel. (Closes: #1060850)

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jan 2024 16:30:53 +0100

jtdx (2.2.159-1) unstable; urgency=medium

  * Initial version.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Jun 2022 23:56:40 +0200
