=== debian/watch ===
version=4
opts="uversionmangle=s/^/2.2./" \
https://github.com/jtdx-project/jtdx/tags .*/(\d+).tar.gz
