=== debian/changelog ===
jtdx (2.2.159+improved-3) unstable; urgency=medium

  * Allow up to 4 characters in "CQ xxxx <call>" messages.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2025 22:28:53 +0100

jtdx (2.2.159+improved-2) unstable; urgency=medium

  * Install sound files and waterfall palettes to /usr/share/jtdx/.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Mar 2024 10:36:33 +0100

jtdx (2.2.159+improved-1) unstable; urgency=medium

  * New upstream version 2.2.159+improved.
  * Switch upstream to https://sourceforge.net/projects/jtdx-improved/.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Mar 2024 19:48:01 +0100
