=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: jtdx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Section: hamradio
@@ -31,7 +30,7 @@
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/jtdx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/jtdx.git
-Homepage: https://sourceforge.net/projects/jtdx/
+Homepage: https://sourceforge.net/projects/jtdx-improved/
 Rules-Requires-Root: no
 
 Package: jtdx
